//  リスト12.3 マウスクリックに応じて線を引く例
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

class CustomGraphics extends JPanel implements MouseListener {
   int x1, y1, x2, y2;
   CustomGraphics(){
      setBackground(Color.yellow);
      setMinimumSize(new Dimension(250, 250));  //最小サイズを設定
      setPreferredSize(new Dimension(250, 250));//望むサイズを設定
      addMouseListener(this);
   }

   public void paintComponent(Graphics g){    
      super.paintComponent(g);
      g.drawLine(x1,y1,x2,y2);
   }
	
   public void mousePressed(MouseEvent e){ //マウスを押した時の処理
       x1 = e.getX();
       y1 = e.getY();
   }
   public void mouseReleased(MouseEvent e){ //マウスを離した時の処理
       x2 = e.getX();
       y2 = e.getY();
       repaint();     //ボタンを離した時、図形を描く
   }
   public void mouseClicked(MouseEvent e){   }
   public void mouseEntered(MouseEvent e){   }
   public void mouseExited(MouseEvent e){   }

   public static void main(String args[]){
      JFrame f  = new JFrame("Draw Example");
      CustomGraphics example = new CustomGraphics();
      f.getContentPane().add(example, BorderLayout.CENTER);
      f.pack();
      f.setVisible(true);
   }
}

