//  リスト12.1 こんにちはプログラム(Hello.java)
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;  

class Hello extends JPanel implements ActionListener{ 
   JLabel label; //ラベル用の変数
   JButton b1, b2;//ボタン用の変数

   Hello(){  
      label = new JLabel(" ");  //最初は何も表示しない
      b1 = new JButton("ごあいさつ");  //ごあいさつボタン
      b2 = new JButton("消去");  //消去ボタン

      b1.addActionListener(this); //イベントリスナーを設定
      b2.addActionListener(this); //イベントリスナーを設定

      setLayout(new BorderLayout());   //配置方式の設定
      add(label, BorderLayout.NORTH);  //ラベルを置く
      add(b1, BorderLayout.CENTER);    //ボタンを置く
      add(b2, BorderLayout.EAST);      //ボタンを置く
   }

  public void actionPerformed(ActionEvent e){
    Object obj = e.getSource();
    if(obj == b1){          //b1が押されたら
      label.setText("こんにちは");    //labelに文字列を設定 
    }
    else if(obj == b2){     //b2が押されたら
      label.setText(" ");              //labelの文字列を消す
    }
  }

   public static void main(String args[]){
      Hello h = new Hello();  //Helloのオブジェクトを生成
      JFrame frame = new JFrame("Hello");//JFrameオブジェクトを生成
      Container c = frame.getContentPane(); //フレームの内容表示域を得る
      c.add(h, BorderLayout.CENTER);//フレームにHelloオブジェクトを置く
      frame.pack();               //フレームを必要最小の大きさにする
      frame.setVisible(true);     //フレームを画面に見せる
   }
}

