// リスト12.5 内部クラスとしてのリスナークラス
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

class HelloIn extends JPanel{
   JLabel label; //ラベル用の変数
   JButton b1, b2;//ボタン用の変数
   InListener listener;
   HelloIn(){  
      label = new JLabel(" ");  //最初は何も表示しない
      b1 = new JButton("ごあいさつ");  //ごあいさつボタン
      b2 = new JButton("消去");  //消去ボタン

      listener = new InListener();
      b1.addActionListener(listener); //イベントリスナーを設定
      b2.addActionListener(listener); //イベントリスナーを設定

      setLayout(new BorderLayout());   //配置方式の設定
      add(label, BorderLayout.NORTH);  //ラベルを置く
      add(b1, BorderLayout.CENTER);    //ボタンを置く
      add(b2, BorderLayout.EAST);      //ボタンを置く
   }

   class InListener implements ActionListener{ //イベントリスナー
      public void actionPerformed(ActionEvent e){
         if(e.getSource() == b1){                //b1が押されたら
            label.setText("こんちには");         //labelに文字列を設定 
         }else if(e.getSource() == b2){    //b2が押されたら
            label.setText(" ");                  //labelの文字列を消す
         }
      }
   }

   public static void main(String args[]){
      HelloIn h = new HelloIn();  //Helloのオブジェクトを生成
      JFrame frame = new JFrame();//JFrameオブジェクトを生成
      Container c = frame.getContentPane(); //フレームの内容表示域を得る
      c.add(h, BorderLayout.CENTER);//フレームにHelloオブジェクトを置く
      frame.pack();               //フレームを必要最小の大きさにする
      frame.setVisible(true);     //フレームを画面に見せる
   }
}

