// 実行時間を測るプログラムの例
// java Timer 100000 
// のように実行すると、1から100000の和を求め、それにかかった時間を表示する。

public class Timer {

	public static void main(String[] args) {
		int max = Integer.parseInt(args[0]);	//コマンドラインの第0引数を整数に変
												//換し上限とする

		long start, end;						//開始時間・終了時間のための変数

		System.out.println("1から" + max + "までの和を求める。");
		
		start = System.currentTimeMillis();		//開始時間を覚える
		
		double sum = 0;							//1からmaxまでの和を求める
		for (int i = 1; i <= max; i++) {
			sum = sum + i;
		}

		end = System.currentTimeMillis();		//終了時間を調べる
		//計算時間を表示。start, endはミリ秒単位なので1000で割って秒数を表示する。
		
		System.out.println("1から" + max + "までの和は" + sum);
		
		System.out.println("計算時間(秒): " + ((end-start)/1000.0));
	}
}